E-MailRelay

Public Member Functions | List of all members
GSsl::MbedTls::Rng Class Reference

Holds a mbedtls_ctr_drbg_context structure. More...

`#include <gssl_mbedtls.h>`

## Public Member Functions
mbedtls_ctr_drbg_context * | ptr ()
mbedtls_ctr_drbg_context * | ptr () const
| Rng (const Rng &)=delete
| Rng (Rng &&)=delete
Rng & | operator= (const Rng &)=delete
Rng & | operator= (Rng &&)=delete

## Detailed Description

Holds a mbedtls_ctr_drbg_context structure.

Definition at line 79 of file gssl_mbedtls.h.

## Constructor & Destructor Documentation

## ◆ Rng()

GSsl::MbedTls::Rng::Rng | ( |  | ) |

Definition at line 856 of file gssl_mbedtls.cpp.

## ◆ ~Rng()

GSsl::MbedTls::Rng::~Rng | ( |  | ) |

Definition at line 879 of file gssl_mbedtls.cpp.

## Member Function Documentation

## ◆ ptr() [1/2]

mbedtls_ctr_drbg_context * GSsl::MbedTls::Rng::ptr | ( |  | ) |

Definition at line 886 of file gssl_mbedtls.cpp.

## ◆ ptr() [2/2]

mbedtls_ctr_drbg_context * GSsl::MbedTls::Rng::ptr | ( |  | ) | const

Definition at line 892 of file gssl_mbedtls.cpp.

The documentation for this class was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gssl/gssl_mbedtls.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gssl/gssl_mbedtls.cpp